# PhasicFlow: peakableRegion Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

peakableRegion Class Referenceabstract
Inheritance diagram for peakableRegion:
[legend]

## Public Member Functions

| TypeInfo ("peakableRegion")
| peakableRegion (const word &type, const dictionary &dict)
| create_vCtor (peakableRegion, word,(const word &type, const dictionary &dict),(type, dict))
virtual uniquePtr< peakableRegion > | clone () const =0
virtual peakableRegion * | clonePtr () const =0
virtual | ~peakableRegion ()=default
virtual bool | isInside (const realx3 &point) const =0
virtual realx3 | peek () const =0
virtual const realx3 & | minPoint () const =0
virtual const realx3 & | maxPoint () const =0
virtual bool | read (const dictionary &dict)=0
virtual bool | write (dictionary &dict) const =0

## Static Public Member Functions

static uniquePtr< peakableRegion > | create (const word &type, const dictionary &dict)

## Detailed Description

Definition at line 32 of file peakableRegion.hpp.

## Constructor & Destructor Documentation

## peakableRegion()

peakableRegion | ( | const word & | type,
|  | const dictionary & | dict
| ) |  |

Definition at line 25 of file peakableRegion.cpp.

References CONSUME_PARAM.

## ~peakableRegion()

virtual ~peakableRegion | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "peakableRegion" |  | ) |

## create_vCtor()

create_vCtor | ( | peakableRegion | ,
|  | word | ,
|  | (const word &type, const dictionary &dict) | ,
|  | (type, dict) |
| ) |  |

## clone()

virtual uniquePtr<peakableRegion> clone | ( |  | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## clonePtr()

virtual peakableRegion* clonePtr | ( |  | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## isInside()

virtual bool isInside | ( | const realx3 & | point | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## peek()

virtual realx3 peek | ( |  | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## minPoint()

virtual const realx3& minPoint | ( |  | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## maxPoint()

virtual const realx3& maxPoint | ( |  | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## read()

virtual bool read | ( | const dictionary & | dict | ) |

pure virtual

Implemented in PeakableRegion< GeomType >.

## write()

virtual bool write | ( | dictionary & | dict | ) | const

pure virtual

Implemented in PeakableRegion< GeomType >.

## create()

pFlow::uniquePtr< pFlow::peakableRegion > create | ( | const word & | type,
|  | const dictionary & | dict
| ) |  |

static

Definition at line 36 of file peakableRegion.cpp.

References pFlow::angleBracketsNames(), fatalError, fatalExit, and pFlow::printKeys().

Referenced by positionParticles::positionParticles(), and insertionRegion::readInsertionRegion().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/peakableRegion/peakableRegion/peakableRegion.hpp
- src/phasicFlow/structuredData/peakableRegion/peakableRegion/peakableRegion.cpp